CppUnit - The Unit Testing Library

CppUnit project page | FAQ

TextOutputter Class Reference
Writing test result

Prints a TestResultCollector to a text stream. More...

`#include <TextOutputter.h>`

Inheritance diagram for TextOutputter:
[legend]
Collaboration diagram for TextOutputter:
[legend]

## Public Member Functions
| TextOutputter (TestResultCollector *result, OStream &stream)
virtual | ~TextOutputter ()
| Destructor.
void | write ()
virtual void | printFailures ()
virtual void | printHeader ()
virtual void | printFailure (TestFailure *failure, int failureNumber)
virtual void | printFailureListMark (int failureNumber)
virtual void | printFailureTestName (TestFailure *failure)
virtual void | printFailureType (TestFailure *failure)
virtual void | printFailureLocation (SourceLine sourceLine)
virtual void | printFailureDetail (Exception *thrownException)
virtual void | printFailureWarning ()
virtual void | printStatistics ()
Public Member Functions inherited from Outputter
virtual | ~Outputter ()
| Destructor.

## Protected Attributes
TestResultCollector * | m_result
OStream & | m_stream

## Private Member Functions
| TextOutputter (const TextOutputter &copy)
| Prevents the use of the copy constructor.
void | operator= (const TextOutputter &copy)
| Prevents the use of the copy operator.

## Detailed Description

Prints a TestResultCollector to a text stream.

## Constructor & Destructor Documentation

## ◆ TextOutputter() [1/2]

CPPUNIT_NS_BEGIN TextOutputter::TextOutputter | ( | TestResultCollector * | result,
|  | OStream & | stream )

## ◆ ~TextOutputter()

TextOutputter::~TextOutputter | ( |  | ) |
| virtual

Destructor.

## ◆ TextOutputter() [2/2]

TextOutputter::TextOutputter | ( | const TextOutputter & | copy | ) |
| private

Prevents the use of the copy constructor.

## Member Function Documentation

## ◆ operator=()

void TextOutputter::operator= | ( | const TextOutputter & | copy | ) |
| private

Prevents the use of the copy operator.

## ◆ printFailure()

void TextOutputter::printFailure | ( | TestFailure * | failure,
|  | int | failureNumber )
| virtual

## ◆ printFailureDetail()

void TextOutputter::printFailureDetail | ( | Exception * | thrownException | ) |
| virtual

## ◆ printFailureListMark()

void TextOutputter::printFailureListMark | ( | int | failureNumber | ) |
| virtual

## ◆ printFailureLocation()

void TextOutputter::printFailureLocation | ( | SourceLine | sourceLine | ) |
| virtual

## ◆ printFailures()

void TextOutputter::printFailures | ( |  | ) |
| virtual

## ◆ printFailureTestName()

void TextOutputter::printFailureTestName | ( | TestFailure * | failure | ) |
| virtual

## ◆ printFailureType()

void TextOutputter::printFailureType | ( | TestFailure * | failure | ) |
| virtual

## ◆ printFailureWarning()

void TextOutputter::printFailureWarning | ( |  | ) |
| virtual

## ◆ printHeader()

void TextOutputter::printHeader | ( |  | ) |
| virtual

## ◆ printStatistics()

void TextOutputter::printStatistics | ( |  | ) |
| virtual

## ◆ write()

void TextOutputter::write | ( |  | ) |
| virtual

Implements Outputter.

## Member Data Documentation

## ◆ m_result

TestResultCollector* TextOutputter::m_result
| protected

## ◆ m_stream

OStream& TextOutputter::m_stream
| protected

The documentation for this class was generated from the following files:

- TextOutputter.h
- TextOutputter.cpp

| Send comments to: CppUnit Developers